Module javafx.controls
Package javafx.scene.control

# Class SortEvent<C>

java.lang.Object
java.util.EventObject
javafx.event.Event
javafx.scene.control.SortEvent<C>

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class SortEvent<C> extends Event
Event related to `TableView` and `TreeTableView` sorting.

Since:
  JavaFX 8.0
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EventType<SortEvent>`
`ANY`
Common supertype for all sort event types.

### Fields inherited from class javafx.event.Event

`consumed, eventType, NULL_SOURCE_TARGET, target`

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`SortEvent(C source, EventTarget target)`

## Method Summary

Modifier and Type
Method
Description
`C`
`getSource()`
`static <C> EventType<SortEvent<C>>`
`sortEvent()`

### Methods inherited from class javafx.event.Event

`clone, consume, copyFor, fireEvent, getEventType, getTarget, isConsumed`

### Methods inherited from class java.util.EventObject

`toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ANY

public static final EventType<SortEvent> ANY
Common supertype for all sort event types.

## Constructor Details

### SortEvent

public SortEvent(C source, EventTarget target)

## Method Details

### sortEvent

public static <C> EventType<SortEvent<C>> sortEvent()

### getSource

public C getSource()

Overrides:
  `getSource` in class `EventObject`